HelpHistoryModel
Keywords: javax.help.HelpHistoryModel interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Interface HelpHistoryModel

All Superinterfaces:
  java.util.EventListener, HelpModelListener, java.io.Serializable

All Known Implementing Classes:
  DefaultHelpHistoryModel

public interface HelpHistoryModel
extends HelpModelListener, java.io.Serializable

The interface to the history model.

Method Summary
`void` | `addHelpHistoryModelListener(HelpHistoryModelListener l)` Adds a listener for the HelpHistoryModelEvent posted after the model has changed.
`void` | `discard()` Discards a history
`java.util.Vector` | `getBackwardHistory()` Returns a backward history list
`java.util.Vector` | `getForwardHistory()` Returns a forward history list
`java.util.Vector` | `getHistory()` Returns a history
`int` | `getIndex()` Returns a current history position
`void` | `goBack()` Sets a previous history entry
`void` | `goForward()` Sets a next history entry
`void` | `removeHelpHistoryModelListener(HelpHistoryModelListener l)` Removes a listener previously added with `addHelpHistoryModelListener`
`void` | `removeHelpSet(HelpSet hs)` Removes entries related to removed HelpSet from history
`void` | `setHelpModel(HelpModel model)` Sets the HelpModel
`void` | `setHistoryEntry(int index)` Sets the current history entry

Methods inherited from interface javax.help.event.HelpModelListener
`idChanged`

Method Detail

### addHelpHistoryModelListener

    public void addHelpHistoryModelListener(HelpHistoryModelListener l)

  Adds a listener for the HelpHistoryModelEvent posted after the model has changed.

  Parameters:
    `l` - The listener to add.
  See Also:
    `removeHelpHistoryModelListener(javax.help.event.HelpHistoryModelListener)`

### removeHelpHistoryModelListener

    public void removeHelpHistoryModelListener(HelpHistoryModelListener l)

  Removes a listener previously added with `addHelpHistoryModelListener`

  Parameters:
    `l` - The listener to remove.
  See Also:
    `addHelpHistoryModelListener(javax.help.event.HelpHistoryModelListener)`

### discard

    public void discard()

  Discards a history

### goForward

    public void goForward()

  Sets a next history entry

### goBack

    public void goBack()

  Sets a previous history entry

### getBackwardHistory

    public java.util.Vector getBackwardHistory()

  Returns a backward history list

### getForwardHistory

    public java.util.Vector getForwardHistory()

  Returns a forward history list

### setHistoryEntry

    public void setHistoryEntry(int index)

  Sets the current history entry

  Parameters:
    `index` - The index of history entry

### removeHelpSet

    public void removeHelpSet(HelpSet hs)

  Removes entries related to removed HelpSet from history

  Parameters:
    `hs` - The removed HelpSet

### getHistory

    public java.util.Vector getHistory()

  Returns a history

### getIndex

    public int getIndex()

  Returns a current history position

  Returns:
    The history index

### setHelpModel

    public void setHelpModel(HelpModel model)

  Sets the HelpModel

  Parameters:
    `model` - The HeplModel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD